package example.account;

/**
 * Exceptions thrown by Accounts.
 */
@SuppressWarnings("serial")
public class AccountException extends Exception {

    /**
     * Default constructor.
     */
    public AccountException() {
        super();
    }

    /**
     * Create an AccountException with a message.
     * 
     * @param message
     *            the message
     */
    public AccountException(String message) {
        super(message);
    }

    /**
     * Create an AccountException with a cause.
     * 
     * @param cause
     *            the underlying cause of the exception
     */
    public AccountException(Throwable cause) {
        super(cause);
    }

    /**
     * Create an AccountException with a message and a cause.
     * 
     * @param message
     *            the message
     * @param cause
     *            the underlying cause of the exception
     */
    public AccountException(String message, Throwable cause) {
        super(message, cause);
    }
}
